com.amazon.redshift.util

## Class ExpressionProperties

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - com.amazon.redshift.util.ExpressionProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

    public class ExpressionProperties
    extends Properties

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExpressionProperties(Properties... defaults)` Creates an empty property list with the specified defaults.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getProperty(String key)` Returns property value with all `${propKey}` like references replaced with the value of the relevant property with recursive resolution.
`String` `getProperty(String key, String defaultValue)`
`String` `getRawPropertyValue(String key)` Returns raw value of a property without any replacements.

### Methods inherited from class java.util.Properties

`list, list, load, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

### Methods inherited from class java.util.Hashtable

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keys, keySet, merge, put, putAll, putIfAbsent, rehash, remove, remove, replace, replace, replaceAll, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpressionProperties

    public ExpressionProperties(Properties... defaults)

Creates an empty property list with the specified defaults.

Parameters:
  `defaults` - java.util.Properties

### Method Detail

#### getProperty

    public String getProperty(String key)

Returns property value with all `${propKey}` like references replaced with the value of the relevant property with recursive resolution.

The method returns `null` if the property is not found.

Overrides:
  `getProperty` in class `Properties`
Parameters:
  `key` - the property key.
Returns:
  the value in this property list with the specified key value.

#### getProperty

    public String getProperty(String key,
                              String defaultValue)

Overrides:
  `getProperty` in class `Properties`

#### getRawPropertyValue

    public String getRawPropertyValue(String key)

Returns raw value of a property without any replacements.

Parameters:
  `key` - property name
Returns:
  raw property value